var title;
var author;
var time;
var body;
var images;
var imageCount = 0;

function load_day() {
    document.bgColor="#FF0000";
    var font = document.getElementById("font");
    if (!font) {
        return;
    }
    font.style.color="white";
}

function load_night() {
    document.bgColor="#1f1f1f";
    var font = document.getElementById("font");
    if (!font) {
        return;
    }
    font.style.color="black";
}

function fill(detailBody) {
     var myBody = document.getElementById('body');
     myBody.innerHTML = detailBody
}

function changeFontSize(body) {
    var myBody = document.getElementById('content');
    myBody.style.fontSize="22px"
    myBody.innerHTML = body
}

function showSuperBigSize() {
	var myBody = document.getElementById('content');
    myBody.style.fontSize="26px";
}

function showBigSize() {
	var myBody = document.getElementById('content');
    myBody.style.fontSize="22px";
}

function showMidSize() {
	var myBody = document.getElementById('content');
    myBody.style.fontSize="19px";
}

function showSmallSize() {
	var myBody = document.getElementById('content');
    myBody.style.fontSize="17px";
}

if (document.addEventListener) {
    window.addEventListener("load", ready, false);
} else {
    window.attachEvent("onload", ready);
}
function ready(){
    var images = document.getElementsByTagName("img"),
        imgArray = [];
    if(images){
        for(var i=0;i<images.length;i++){
            var img = images[i];
            if(img){
                var src = img.getAttribute("src");
                if(imgArray.indexOf(src)==-1){
                    imgArray.push(img.getAttribute("src"));
                }
                img.onclick = function(e){
                    var src = e.currentTarget.getAttribute("src");
                    previewImage(imgArray.indexOf(src),imgArray.join(","));
                }
            }
        }
    }
}
function previewImage(current,urls){
    android.showImagePreview(current,urls);
}